<?php
include(ROOT."/includes/sms.inc.php");
include(ROOT."/includes/classes/securimage/securimage.php");

if(isset($_POST['nome'])){

	if(!$ente = get_ente($_GET['e']))
		printMsg("Azione non consentita","danger");
	if(is_empty($_POST['nome']))
		printMsg("Compilare il campo <strong>Nome</strong>","danger");
	if(is_empty($_POST['cognome']))
		printMsg("Compilare il campo <strong>Cognome</strong>","danger");
	if(is_empty($_POST['indirizzo']))
		printMsg("Compilare il campo <strong>Indirizzo di residenza</strong>","danger");
	if(intval($_POST['provincia']) == 0)
		printMsg("Selezionare la <strong>Provincia di residenza</strong>","danger");
	if(intval($_POST['comune']) == 0 && $_POST['provincia'] <> 111)
		printMsg("Selezionare il <strong>Comune di residenza</strong>","danger");
	if(is_empty($_POST['codfis']))
		printMsg("Compilare il campo <strong>Codice fiscale</strong>","danger");
	if(!is_codfis($_POST['codfis']))
		printMsg("<strong>Codice fiscale</strong> errato","danger");
	
	if(is_empty($_POST['cellulare']))
		printMsg("Compilare il campo <strong>N. Cellulare</strong>","danger");
	if(!is_cellulare($_POST['cellulare']))
		printMsg("Inserire il <strong>N. Cellulare</strong> corretto, senza prefisso o punteggiatura. Es: 3404000000","danger");
	
	if(is_empty($_POST['ci']))
		printMsg("Inserire il <strong>numero della Carta d'identit&agrave;</strong>",'danger');
	if(!$ci_data = is_date($_POST['ci_data']))
		printMsg("<strong>Data rilascio errata o non valida</strong>. Formato corretto \"GG/MM/AAAA\". Es: 02/11/".date("Y"),'danger');
	if(intval($_POST['ci_provincia']) == 0)
		printMsg("Selezionare la <strong>Provincia di rilascio</strong> carta identi&agrave;",'danger');
	if(intval($_POST['ci_comune']) == 0)
		printMsg("Selezionare il <strong>Comune di rilascio</strong> carta identi&agrave;",'danger');
	
	if(is_empty($_POST['email']))
		printMsg("Compilare il campo <strong>Indirizzo e-mail</strong>","danger");
	if(!is_email($_POST['email']))
		printMsg("<strong>Indirizzo e-mail</strong> errato","danger");
	
	if(intval($_POST['privacy']) <> 1 || intval($_POST['autodich']) <> 1)
		printMsg("Per iscriversi <strong>&egrave; necessario accettare tutti i termini di utilizzo</strong>","danger");

	//captcha
	$image = new Securimage();
	$success = $image->check($_POST['captcha_code']);
	Js('reloadCaptcha();');
	if($success == false)
		printMsg("<strong>Codice visualizzato</strong> errato","danger");

	//controllo che il cell non sia gia presente
	$result = $mysqli->query("SELECT user_cell FROM users WHERE user_cell = ".dbClean($_POST['cellulare'])." AND ente_id = ".$ente['ente_id']);
	if($result->num_rows > 0)
		printMsg("Il numero di <strong>Cellulare risulta gi&agrave; in uso</strong>","warning");
	
	$pass = generatePassword();
	$result = $mysqli->query("INSERT INTO users (
		ente_id, user_cell, user_pass, user_nome, user_cognome, user_ind, provincia_id,comune_id,user_email,user_ci,user_ci_data,user_ci_prov,user_ci_com,user_codfis,user_grp
	) VALUES (
		".$ente['ente_id'].",
		".dbClean($_POST['cellulare']).",
		'".$pass."',
		".dbClean(welltxt($_POST['nome'])).",
		".dbClean(welltxt($_POST['cognome'])).",
		".dbClean(welltxt($_POST['indirizzo'])).",
		".intval($_POST['provincia']).",
		".intval($_POST['comune']).",
		".dbClean(strtolower($_POST['email'])).",
		".dbClean(strtoupper($_POST['ci'])).",
		".dbClean($ci_data).",
		".intval($_POST['ci_provincia']).",
		".intval($_POST['ci_comune']).",
		".dbClean(strtoupper($_POST['codfis'])).",
		'usr'
	)");
	
	if(!$result)
		printMsg("Errore durante il salvataggio. Ricontrollare i dati o contattare l'Ente","danger");
	
	$user_id = $mysqli->insert_id;
	$sms_text = "Benvenuto in Servizi Cittadino - ".$ente['ente_anagr'].". ".chr(10)."La tua password è: ".$pass;

	if(!sendSMS($_GET['e'],$sms_text,$_POST['cellulare'])){
		$mysqli->query("DELETE FROM users WHERE user_id = ".$user_id);
		printMsg("Errore durante l'invio della password tramite SMS. Ricontrolla il numero di Cellulare inserito","danger");
	}

	Js('resetForm("form_anagr"); $("#hide-block, [type=\'submit\']").hide();');
	printMsg('Iscrizione avvenuta con successo! <strong>Ti abbiamo inviato la password al numero '.$_POST['cellulare'].'</strong>.<br />Per accedere inserisci Numero di cellulare e Password nella <a href="./">Pagina iniziale</a>','success');

	die();
}


$p = new Page('Iscrizione');
$p->addMenu('public');
$p->printHeader();
?>
<h3 class="p-title">Iscrizione</h3>
<div class="panel panel-default">
	<div class="panel-body">

        <form id="form_anagr" class="form-horizontal" action="subscribe.html" role="form" onSubmit="return post(this,'f-result')">
        
        	<div id="hide-block">
            <div class="form-group form-subtitle hidden-xs">
            	La registrazione al portale &egrave; necessaria per accedere ai servizi che l'Ente ha messo a tua disposizione. Compila il seguente modulo in ogni sua parte.
			</div>
        
            <div class="form-group-inline">
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">Nome</label>
                        <input class="form-control" type="text" maxlength="40" name="nome" />
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Cognome</label>
                        <input class="form-control" type="text" maxlength="40" name="cognome" />
                    </div>
                </div>
                
                <div class="form-group">
                    <div class="col-sm-4">
                        <label class="control-label">Indirizzo di Residenza</label>
                        <input class="form-control" type="text" maxlength="40" name="indirizzo" />
                    </div>
                    <div class="col-sm-4">
                        <label class="control-label">Provincia di Residenza</label>
                        <select class="form-control" class="form-control" name="provincia" onChange="selXmlPop('#sel_comune','comuni',this.value)">
                            <?php 
							$ente = get_ente($_GET['e']);
							print_province_opts($ente['provincia_id']);
							?>
                        </select>
					</div>
                    <div class="col-sm-4">
                        <label class="control-label">Comune di Residenza</label>
                        <select class="form-control" class="form-control" name="comune" id="sel_comune">
                        	<option value=""></option>
                            <?php 
							print_comuni_opts($ente['provincia_id']);
							?>
                        </select>
                    </div>
                </div>
                
                <div class="form-group">
                	<div class="col-sm-4">
                            <label class="control-label">Codice fiscale</label>
                            <input class="form-control" type="text" maxlength="16" name="codfis" />
                	</div>
                    <div class="col-sm-8">
                    	<div class="row">
                            <label class="control-label col-sm-12">N. Cellulare</label>
                            <div class="col-sm-6 has-feedback">
                                <input class="form-control" type="text" maxlength="10" name="cellulare" />
                            	<span class="glyphicon glyphicon-phone form-control-feedback"></span>
                            </div>
                            <div class="col-sm-6 text-info" style="font-size:12px;">
                                Ti verr&agrave; inviata la password di accesso con un SMS
                            </div>
                        </div>
                	</div>
                </div>
                
			
            	<!-- CI block -->
                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="control-label">N. Carta d'identit&agrave;</label>
                        <input class="form-control" type="text" maxlength="15" name="ci" />
                    </div>
                    <div class="col-sm-6">
                    	<div class="row">
                            <label class="control-label col-sm-12">Rilasciata in data</label>
                            <div class="col-sm-6 col-md-5">
                                <input class="form-control" type="text" maxlength="10" name="ci_data" />
                            </div>
                        </div>
                    </div>
                </div>
    
                <div class="form-group">
                   <div class="col-sm-6">
                        <label class="control-label">Provincia rilascio</label>
                        <select class="form-control" name="ci_provincia" onChange="selXmlPop('#ci_comune','comuni',this.value)">
                            <option value=""></option>
                            <?php print_province_opts() ;?>
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Comune rilascio</label>
                        <select class="form-control" name="ci_comune" id="ci_comune" disabled>
                            <option value=""></option>
                        </select>
                    </div>
                </div>
				
            
            
                <div class="form-group">
                    <div class="col-sm-6 has-feedback">
                        <label class="control-label">Indirizzo e-mail</label>
                        <div class="row">
                        	<div class="col-xs-12 has-feedback">
		                        <input class="form-control" type="text" maxlength="255" name="email" />
        		                <span class="glyphicon glyphicon-mail form-control-feedback"></span>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <label class="control-label">Codice visualizzato</label>
                        <div class="row">
                            <div class="col-xs-6 has-feedback">
                                <input class="form-control" type="text" maxlength="6" name="captcha_code" />
                                <span class="glyphicon glyphicon-captcha glyphicon-arrow-right form-control-feedback"></span>
                            </div>
                            <div class="col-xs-6">
                                <img id="capimg" src="/captcha/?sid=<?php echo md5(uniqid()) ?>" />
                                <a href="javascript:;" onClick="reloadCaptcha()"><span class="glyphicon glyphicon-repeat"></span></a>
                            </div>
                        </div>
                    </div>
                </div>
            	
            	
               	<div class="m-top-10 text-info"><strong>Termini di utilizzo</strong></div>
                <div class="checkbox m-top-10">
                  <label>
                    <input type="checkbox" value="1" name="autodich" id="autodich">Consapevole delle responsabilit&agrave; penali in cui potrei incorrere in caso di dichiarazioni mendaci o di formazione od uso di atti falsi, ai sensi del D.P.R. n. 445/2000, dichiaro la veridicit&agrave; dei dati di cui sopra.
                  </label>
                </div>

                <div class="checkbox" style="padding-top:10px">
                  <label>
                    <input type="checkbox" value="1" name="privacy">Dichiaro di aver letto <a href="#" data-open="modal" data-url="./diag/privacy/">l'Informativa sulla Privacy</a> e acconsentire al trattamento dei dati personali
                  </label>
                </div>
                        
			</div>
            
            </div>
            
            <div id="f-result"></div>
            
            <div class="form-buttons">
                <button type="submit" class="btn btn-primary">Iscriviti</button> 
                <button type="button" class="btn btn-default" onClick="goto('./')">Pagina iniziale</button> 
            </div>
            
    	</form>

    </div>
</div>
<?php $p->printFooter(); ?>
